{
  "lock": false,
  "nodeModulesDir": "auto",
  "tasks": {
    "check": "deno fmt --check && deno lint && deno check **/*.ts && deno check **/*.tsx",
    "start": "deno run --env-file -A --watch=static/,routes/ dev.ts",
    "db": "deno run --env-file -A npm:drizzle-kit",
    "build": "deno run -A dev.ts build",
    "preview": "deno run -A main.ts",
    "update": "deno run -A -r https://fresh.deno.dev/update ."
  },
  "lint": {
    "rules": {
      "tags": [
        "fresh",
        "recommended"
      ]
    }
  },
  "imports": {
    "$fresh/": "https://deno.land/x/fresh@1.7.3/",
    "@components": "./components",
    "@components/": "./components/",
    "@denosaurs/emoji": "jsr:@denosaurs/emoji@^0.3.1",
    "@islands": "./islands",
    "@islands/": "./islands/",
    "@lib": "./lib",
    "@lib/": "./lib/",
    "@libsql/client": "npm:@libsql/client@^0.14.0",
    "@preact/signals": "https://esm.sh/*@preact/signals@1.2.2",
    "@preact/signals-core": "https://esm.sh/*@preact/signals-core@1.5.1",
    "@std/http": "jsr:@std/http@^1.0.12",
    "@std/yaml": "jsr:@std/yaml@^1.0.5",
    "drizzle-kit": "npm:drizzle-kit@^0.30.1",
    "drizzle-orm": "npm:drizzle-orm@^0.38.3",
    "fuzzysort": "npm:fuzzysort@^3.1.0",
    "playwright": "npm:playwright@^1.49.1",
    "playwright-extra": "npm:playwright-extra@^4.3.6",
    "preact": "https://esm.sh/preact@10.22.0",
    "preact-render-to-string": "https://esm.sh/*preact-render-to-string@6.2.2",
    "preact/": "https://esm.sh/preact@10.22.0/",
    "gfm": "jsr:@deno/gfm",
    "puppeteer-extra-plugin-stealth": "npm:puppeteer-extra-plugin-stealth@^2.11.2",
    "tailwindcss": "npm:tailwindcss@^3.4.17",
    "tailwindcss/": "npm:/tailwindcss@^3.4.17/",
    "tailwindcss/plugin": "npm:/tailwindcss@^3.4.17/plugin.js",
    "camelcase-css": "npm:camelcase-css",
    "tsx": "npm:tsx@^4.19.2",
    "yaml": "https://deno.land/std@0.197.0/yaml/mod.ts",
    "zod": "npm:zod@^3.24.1",
    "domparser": "https://deno.land/x/deno_dom@v0.1.48/deno-dom-wasm.ts",
    "fs": "https://deno.land/std/fs/mod.ts",
    "imagemagick": "https://deno.land/x/imagemagick_deno@0.0.31/mod.ts"
  },
  "compilerOptions": {
    "jsx": "react-jsx",
    "jsxImportSource": "preact"
  },
  "exclude": [
    "**/_fresh/*"
  ]
}
